import java.util.Random;


public class Haus {
	
	public Geschenk[] baum; // Geschenke unter dem Baum
	public Geschenk[] schrank; // Geschenke im Schrank
	public Geschenk[] tisch; // Geschenke auf dem Tisch
	
	/**
	 * Konstruktor für Haus:
	 * Erzeugt ein neues Haus mit zufällig verteilten Geschenken.
	 */
	public Haus() {
		Random r = new Random();
		
		this.baum = new Geschenk[r.nextInt(31)];
		for(int i=0;i<this.baum.length;i++) {
			this.baum[i] = new Geschenk();
		}
		
		this.schrank = new Geschenk[r.nextInt(31)];
		for(int i=0;i<this.schrank.length;i++) {
			this.schrank[i] = new Geschenk();
		}

		this.tisch = new Geschenk[r.nextInt(31)];
		for(int i=0;i<this.tisch.length;i++) {
			this.tisch[i] = new Geschenk();
		}
	}
	
	public Geschenk[] ausraeumen () {
		Geschenk[] alle = new Geschenk[this.baum.length+this.schrank.length+this.tisch.length];
		
		for (int i=0;i<this.baum.length;i++) {
			alle[i] = this.baum[i];
		}
		for (int j=0;j<this.schrank.length;j++) {
			alle[j+this.baum.length] = this.schrank[j];
		}
		for (int k=0;k<this.tisch.length;k++) {
			alle[k+this.baum.length+this.schrank.length] = this.tisch[k];
		}
		this.baum = new Geschenk[0];
		this.schrank = new Geschenk[0];
		this.tisch = new Geschenk[0];
		
		return alle;
	}

}
